Basker Docs

Delete Page

DELETE
/{version}/{tenant}/pages/{id}

Delete a Page. Rate limit: 20 requests per minute per API key.

Authorization<token>

Use format: users API-Key YOUR_API_KEY

In: header

Path Parameters

version*"2026-02"

API version

Default"2026-02"

Value in

  • "2026-02"
tenant*string

Tenant slug

id*string

Page ID

Response Body

application/json

application/json

curl -X DELETE "https://example.com/2026-02/string/pages/string"
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "tenant": "string",  "title": "string",  "richTitle": "string",  "richTitle_html": "string",  "description": "string",  "richDescription": "string",  "richDescription_html": "string",  "theme": {    "themeSettings": [      {}    ]  },  "meta": {    "title": "string",    "description": "string",    "canonical": "string",    "image": "string"  },  "slug": "string",  "publishedSlug": "string",  "publishedRelativePath": "string",  "createRedirect": true,  "relativePath": "string",  "displayTitle": "string",  "image": "string",  "parent": "string",  "order": "string",  "showInNavigation": true,  "showInSearch": true,  "themeTemplate": "string",  "breadcrumbs": [    {}  ],  "publishedAt": "2019-08-24T14:15:22Z",  "url": "string",  "sharedWith": [    "string"  ],  "_status": "draft"}